package com.ruoyi.system.domain.task;

import java.io.Serializable;

public class TkChengyunTask implements Serializable {
    /**
     * 事件编码
     *
     * @mbg.generated
     */
    private String cedeventcode;

    /**
     * 事件名称
     *
     * @mbg.generated
     */
    private String name;

    /**
     * 发生地点
     *
     * @mbg.generated
     */
    private String fsdz;

    /**
     * 经度
     *
     * @mbg.generated
     */
    private String longitude;

    /**
     * 纬度
     *
     * @mbg.generated
     */
    private String latitude;

    /**
     * 事发时间yyyy-MM-dd hh24:mi:ss格式
     *
     * @mbg.generated
     */
    private String sfsj;

    /**
     * 上报人
     *
     * @mbg.generated
     */
    private String complaintsPerson;

    /**
     * 上报人联系电话
     *
     * @mbg.generated
     */
    private String complaintsPhone;

    /**
     * 镇街道
     *
     * @mbg.generated
     */
    private String townstreet;

    /**
     * 事件类型
     *
     * @mbg.generated
     */
    private String type;

    /**
     * 转换后1+4系统镇街道编码
     *
     * @mbg.generated
     */
    private String namespace;

    /**
     * 城运系统镇街道编码
     *
     * @mbg.generated
     */
    private String townstreetcode;

    /**
     * 是否转工单（默认0否，1是）
     *
     * @mbg.generated
     */
    private Integer ispush;

    /**
     * （工单）事件处置完成时间:格式yyyy-MM-dd hh24:mi:ss
     *
     * @mbg.generated
     */
    private String cedresponseendtime;

    /**
     * 是否将处理意见同步给城运（0否，1已处理(待同步), 2已同步）
     *
     * @mbg.generated
     */
    private Integer issync;

    /**
     * 对接的工单来源：13：城运工单
     *
     * @mbg.generated
     */
    private String comeFrom;

    /**
     * 入库时间(yyyy-MM-dd hh24:mi:ss格式)
     *
     * @mbg.generated
     */
    private String createTime;

    /**
     * 政府id
     *
     * @mbg.generated
     */
    private String baseid;

    /**
     * 网格工单表主表id
     *
     * @mbg.generated
     */
    private String ylzd1;

    private String ylzd2;

    private String ylzd3;

    private String ylzd4;

    private String ylzd5;

    /**
     * 工单截至办结时间（yyyy-MM-dd hh24:mi:ss格式）
     *
     * @mbg.generated
     */
    private String endTime;

    /**
     * 延期数（数值）
     *
     * @mbg.generated
     */
    private String delaydays;

    /**
     * 延期数单位：（day/hour/min）
     *
     * @mbg.generated
     */
    private String delayunit;

    /**
     * 是否将延期申请同步给城运（0否，1已延期(待同步), 2已同步）
     *
     * @mbg.generated
     */
    private Integer isback;

    /**
     * 是否同意延时(true/false)
     *
     * @mbg.generated
     */
    private String approvedelay;

    /**
     * 事件描述(详情)
     *
     * @mbg.generated
     */
    private String nameDetail;

    /**
     * 图片base64字符串
     *
     * @mbg.generated
     */
    private String imgs;

    /**
     * 转换后的附件efs地址(多个用,隔开)
     *
     * @mbg.generated
     */
    private String filePath;

    /**
     * （工单）事件处理意见
     *
     * @mbg.generated
     */
    private String cedeventcompleteconclusion;

    /**
     * 事件处理附件efs地址(多个用,隔开)
     *
     * @mbg.generated
     */
    private String cedresponsePath;

    /**
     * 延期原因
     *
     * @mbg.generated
     */
    private String reason;

    /**
     * 审批意见
     *
     * @mbg.generated
     */
    private String approveoption;

    private static final long serialVersionUID = 1L;

    public String getCedeventcode() {
        return cedeventcode;
    }

    public void setCedeventcode(String cedeventcode) {
        this.cedeventcode = cedeventcode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getFsdz() {
        return fsdz;
    }

    public void setFsdz(String fsdz) {
        this.fsdz = fsdz;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getSfsj() {
        return sfsj;
    }

    public void setSfsj(String sfsj) {
        this.sfsj = sfsj;
    }

    public String getComplaintsPerson() {
        return complaintsPerson;
    }

    public void setComplaintsPerson(String complaintsPerson) {
        this.complaintsPerson = complaintsPerson;
    }

    public String getComplaintsPhone() {
        return complaintsPhone;
    }

    public void setComplaintsPhone(String complaintsPhone) {
        this.complaintsPhone = complaintsPhone;
    }

    public String getTownstreet() {
        return townstreet;
    }

    public void setTownstreet(String townstreet) {
        this.townstreet = townstreet;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getNamespace() {
        return namespace;
    }

    public void setNamespace(String namespace) {
        this.namespace = namespace;
    }

    public String getTownstreetcode() {
        return townstreetcode;
    }

    public void setTownstreetcode(String townstreetcode) {
        this.townstreetcode = townstreetcode;
    }

    public Integer getIspush() {
        return ispush;
    }

    public void setIspush(Integer ispush) {
        this.ispush = ispush;
    }

    public String getCedresponseendtime() {
        return cedresponseendtime;
    }

    public void setCedresponseendtime(String cedresponseendtime) {
        this.cedresponseendtime = cedresponseendtime;
    }

    public Integer getIssync() {
        return issync;
    }

    public void setIssync(Integer issync) {
        this.issync = issync;
    }

    public String getComeFrom() {
        return comeFrom;
    }

    public void setComeFrom(String comeFrom) {
        this.comeFrom = comeFrom;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getBaseid() {
        return baseid;
    }

    public void setBaseid(String baseid) {
        this.baseid = baseid;
    }

    public String getYlzd1() {
        return ylzd1;
    }

    public void setYlzd1(String ylzd1) {
        this.ylzd1 = ylzd1;
    }

    public String getYlzd2() {
        return ylzd2;
    }

    public void setYlzd2(String ylzd2) {
        this.ylzd2 = ylzd2;
    }

    public String getYlzd3() {
        return ylzd3;
    }

    public void setYlzd3(String ylzd3) {
        this.ylzd3 = ylzd3;
    }

    public String getYlzd4() {
        return ylzd4;
    }

    public void setYlzd4(String ylzd4) {
        this.ylzd4 = ylzd4;
    }

    public String getYlzd5() {
        return ylzd5;
    }

    public void setYlzd5(String ylzd5) {
        this.ylzd5 = ylzd5;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getDelaydays() {
        return delaydays;
    }

    public void setDelaydays(String delaydays) {
        this.delaydays = delaydays;
    }

    public String getDelayunit() {
        return delayunit;
    }

    public void setDelayunit(String delayunit) {
        this.delayunit = delayunit;
    }

    public Integer getIsback() {
        return isback;
    }

    public void setIsback(Integer isback) {
        this.isback = isback;
    }

    public String getApprovedelay() {
        return approvedelay;
    }

    public void setApprovedelay(String approvedelay) {
        this.approvedelay = approvedelay;
    }

    public String getNameDetail() {
        return nameDetail;
    }

    public void setNameDetail(String nameDetail) {
        this.nameDetail = nameDetail;
    }

    public String getImgs() {
        return imgs;
    }

    public void setImgs(String imgs) {
        this.imgs = imgs;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getCedeventcompleteconclusion() {
        return cedeventcompleteconclusion;
    }

    public void setCedeventcompleteconclusion(String cedeventcompleteconclusion) {
        this.cedeventcompleteconclusion = cedeventcompleteconclusion;
    }

    public String getCedresponsePath() {
        return cedresponsePath;
    }

    public void setCedresponsePath(String cedresponsePath) {
        this.cedresponsePath = cedresponsePath;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getApproveoption() {
        return approveoption;
    }

    public void setApproveoption(String approveoption) {
        this.approveoption = approveoption;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", cedeventcode=").append(cedeventcode);
        sb.append(", name=").append(name);
        sb.append(", fsdz=").append(fsdz);
        sb.append(", longitude=").append(longitude);
        sb.append(", latitude=").append(latitude);
        sb.append(", sfsj=").append(sfsj);
        sb.append(", complaintsPerson=").append(complaintsPerson);
        sb.append(", complaintsPhone=").append(complaintsPhone);
        sb.append(", townstreet=").append(townstreet);
        sb.append(", type=").append(type);
        sb.append(", namespace=").append(namespace);
        sb.append(", townstreetcode=").append(townstreetcode);
        sb.append(", ispush=").append(ispush);
        sb.append(", cedresponseendtime=").append(cedresponseendtime);
        sb.append(", issync=").append(issync);
        sb.append(", comeFrom=").append(comeFrom);
        sb.append(", createTime=").append(createTime);
        sb.append(", baseid=").append(baseid);
        sb.append(", ylzd1=").append(ylzd1);
        sb.append(", ylzd2=").append(ylzd2);
        sb.append(", ylzd3=").append(ylzd3);
        sb.append(", ylzd4=").append(ylzd4);
        sb.append(", ylzd5=").append(ylzd5);
        sb.append(", endTime=").append(endTime);
        sb.append(", delaydays=").append(delaydays);
        sb.append(", delayunit=").append(delayunit);
        sb.append(", isback=").append(isback);
        sb.append(", approvedelay=").append(approvedelay);
        sb.append(", nameDetail=").append(nameDetail);
        sb.append(", imgs=").append(imgs);
        sb.append(", filePath=").append(filePath);
        sb.append(", cedeventcompleteconclusion=").append(cedeventcompleteconclusion);
        sb.append(", cedresponsePath=").append(cedresponsePath);
        sb.append(", reason=").append(reason);
        sb.append(", approveoption=").append(approveoption);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        TkChengyunTask other = (TkChengyunTask) that;
        return (this.getCedeventcode() == null ? other.getCedeventcode() == null : this.getCedeventcode().equals(other.getCedeventcode()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getFsdz() == null ? other.getFsdz() == null : this.getFsdz().equals(other.getFsdz()))
            && (this.getLongitude() == null ? other.getLongitude() == null : this.getLongitude().equals(other.getLongitude()))
            && (this.getLatitude() == null ? other.getLatitude() == null : this.getLatitude().equals(other.getLatitude()))
            && (this.getSfsj() == null ? other.getSfsj() == null : this.getSfsj().equals(other.getSfsj()))
            && (this.getComplaintsPerson() == null ? other.getComplaintsPerson() == null : this.getComplaintsPerson().equals(other.getComplaintsPerson()))
            && (this.getComplaintsPhone() == null ? other.getComplaintsPhone() == null : this.getComplaintsPhone().equals(other.getComplaintsPhone()))
            && (this.getTownstreet() == null ? other.getTownstreet() == null : this.getTownstreet().equals(other.getTownstreet()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getNamespace() == null ? other.getNamespace() == null : this.getNamespace().equals(other.getNamespace()))
            && (this.getTownstreetcode() == null ? other.getTownstreetcode() == null : this.getTownstreetcode().equals(other.getTownstreetcode()))
            && (this.getIspush() == null ? other.getIspush() == null : this.getIspush().equals(other.getIspush()))
            && (this.getCedresponseendtime() == null ? other.getCedresponseendtime() == null : this.getCedresponseendtime().equals(other.getCedresponseendtime()))
            && (this.getIssync() == null ? other.getIssync() == null : this.getIssync().equals(other.getIssync()))
            && (this.getComeFrom() == null ? other.getComeFrom() == null : this.getComeFrom().equals(other.getComeFrom()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getBaseid() == null ? other.getBaseid() == null : this.getBaseid().equals(other.getBaseid()))
            && (this.getYlzd1() == null ? other.getYlzd1() == null : this.getYlzd1().equals(other.getYlzd1()))
            && (this.getYlzd2() == null ? other.getYlzd2() == null : this.getYlzd2().equals(other.getYlzd2()))
            && (this.getYlzd3() == null ? other.getYlzd3() == null : this.getYlzd3().equals(other.getYlzd3()))
            && (this.getYlzd4() == null ? other.getYlzd4() == null : this.getYlzd4().equals(other.getYlzd4()))
            && (this.getYlzd5() == null ? other.getYlzd5() == null : this.getYlzd5().equals(other.getYlzd5()))
            && (this.getEndTime() == null ? other.getEndTime() == null : this.getEndTime().equals(other.getEndTime()))
            && (this.getDelaydays() == null ? other.getDelaydays() == null : this.getDelaydays().equals(other.getDelaydays()))
            && (this.getDelayunit() == null ? other.getDelayunit() == null : this.getDelayunit().equals(other.getDelayunit()))
            && (this.getIsback() == null ? other.getIsback() == null : this.getIsback().equals(other.getIsback()))
            && (this.getApprovedelay() == null ? other.getApprovedelay() == null : this.getApprovedelay().equals(other.getApprovedelay()))
            && (this.getNameDetail() == null ? other.getNameDetail() == null : this.getNameDetail().equals(other.getNameDetail()))
            && (this.getImgs() == null ? other.getImgs() == null : this.getImgs().equals(other.getImgs()))
            && (this.getFilePath() == null ? other.getFilePath() == null : this.getFilePath().equals(other.getFilePath()))
            && (this.getCedeventcompleteconclusion() == null ? other.getCedeventcompleteconclusion() == null : this.getCedeventcompleteconclusion().equals(other.getCedeventcompleteconclusion()))
            && (this.getCedresponsePath() == null ? other.getCedresponsePath() == null : this.getCedresponsePath().equals(other.getCedresponsePath()))
            && (this.getReason() == null ? other.getReason() == null : this.getReason().equals(other.getReason()))
            && (this.getApproveoption() == null ? other.getApproveoption() == null : this.getApproveoption().equals(other.getApproveoption()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getCedeventcode() == null) ? 0 : getCedeventcode().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getFsdz() == null) ? 0 : getFsdz().hashCode());
        result = prime * result + ((getLongitude() == null) ? 0 : getLongitude().hashCode());
        result = prime * result + ((getLatitude() == null) ? 0 : getLatitude().hashCode());
        result = prime * result + ((getSfsj() == null) ? 0 : getSfsj().hashCode());
        result = prime * result + ((getComplaintsPerson() == null) ? 0 : getComplaintsPerson().hashCode());
        result = prime * result + ((getComplaintsPhone() == null) ? 0 : getComplaintsPhone().hashCode());
        result = prime * result + ((getTownstreet() == null) ? 0 : getTownstreet().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getNamespace() == null) ? 0 : getNamespace().hashCode());
        result = prime * result + ((getTownstreetcode() == null) ? 0 : getTownstreetcode().hashCode());
        result = prime * result + ((getIspush() == null) ? 0 : getIspush().hashCode());
        result = prime * result + ((getCedresponseendtime() == null) ? 0 : getCedresponseendtime().hashCode());
        result = prime * result + ((getIssync() == null) ? 0 : getIssync().hashCode());
        result = prime * result + ((getComeFrom() == null) ? 0 : getComeFrom().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getBaseid() == null) ? 0 : getBaseid().hashCode());
        result = prime * result + ((getYlzd1() == null) ? 0 : getYlzd1().hashCode());
        result = prime * result + ((getYlzd2() == null) ? 0 : getYlzd2().hashCode());
        result = prime * result + ((getYlzd3() == null) ? 0 : getYlzd3().hashCode());
        result = prime * result + ((getYlzd4() == null) ? 0 : getYlzd4().hashCode());
        result = prime * result + ((getYlzd5() == null) ? 0 : getYlzd5().hashCode());
        result = prime * result + ((getEndTime() == null) ? 0 : getEndTime().hashCode());
        result = prime * result + ((getDelaydays() == null) ? 0 : getDelaydays().hashCode());
        result = prime * result + ((getDelayunit() == null) ? 0 : getDelayunit().hashCode());
        result = prime * result + ((getIsback() == null) ? 0 : getIsback().hashCode());
        result = prime * result + ((getApprovedelay() == null) ? 0 : getApprovedelay().hashCode());
        result = prime * result + ((getNameDetail() == null) ? 0 : getNameDetail().hashCode());
        result = prime * result + ((getImgs() == null) ? 0 : getImgs().hashCode());
        result = prime * result + ((getFilePath() == null) ? 0 : getFilePath().hashCode());
        result = prime * result + ((getCedeventcompleteconclusion() == null) ? 0 : getCedeventcompleteconclusion().hashCode());
        result = prime * result + ((getCedresponsePath() == null) ? 0 : getCedresponsePath().hashCode());
        result = prime * result + ((getReason() == null) ? 0 : getReason().hashCode());
        result = prime * result + ((getApproveoption() == null) ? 0 : getApproveoption().hashCode());
        return result;
    }
}